@font-face {
    font-family: 'Parimatch';
    src: url('./fonts/Parimatch-Bold.eot');
    src: url('./fonts/Parimatch-Bold.eot?#iefix') format('embedded-opentype'),
    url('./fonts/Parimatch-Bold.woff2') format('woff2'),
    url('./fonts/Parimatch-Bold.woff') format('woff'),
    url('./fonts/Parimatch-Bold.ttf') format('truetype'),
    url('./fonts/Parimatch-Bold.otf') format('opentype');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Parimatch';
    src: url('./fonts/Parimatch-Regular.eot');
    src: url('./fonts/Parimatch-Regular.eot?#iefix') format('embedded-opentype'),
    url('./fonts/Parimatch-Regular.woff2') format('woff2'),
    url('./fonts/Parimatch-Regular.woff') format('woff'),
    url('./fonts/Parimatch-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}
body{
    font-family: 'Parimatch', sans-serif;
}
*{
    box-sizing: border-box;
}

main{
    background-image: url("./img/bg.jpg");
    background-color: black;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 100vh;
    width: 100%;
    background-position: center;
    position: relative;
}

header{
    padding: 10px 20px;
    display: flex;
    max-width: 1600px;
    margin: 0 auto;
    width: 100%;
    justify-content: space-between;
}
header .logo img:last-child{
    margin-left: 20px;
}
header .logo img{
    max-height: 60px;
}
.header-btn{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: auto;
    min-width: 0;
    line-height: 1;
    cursor: pointer;
    border: 0.2vh solid #FFFF14;
    text-decoration: none;
    text-align: center;
    color: #000;
    background-color: #FFFF14;
    -webkit-box-shadow: 0 0 0 transparent;
    box-shadow: 0 0 0 transparent;
    padding: 0 2rem 0.2vh 2rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    outline: none;
    -webkit-transform: skewX(-14deg);
    -ms-transform: skewX(-14deg);
    transform: skewX(-14deg);
    -webkit-transition: all 0.4s ease-in-out;
    -o-transition: all 0.4s ease-in-out;
    transition: all 0.4s ease-in-out;
    height: 30px;
    font-size: 0.8rem;
    font-weight: 300;
    text-transform: uppercase;
    font-family: "Parimatch", sans-serif;
}
.header__log-btn {
    border-color: #fff;
    background-color: transparent;
    color: #fff;
    margin-right: 1vh;
    min-width: 4rem;
}
.header-btn span{
    -webkit-transform: skewX(14deg);
    -ms-transform: skewX(14deg);
    transform: skewX(14deg);
}
.header__log-btn:hover {
    background-color: #fff;
    color: #000;
    border-color: transparent;
}
.header__reg-btn:hover {
    background-color: transparent;
    color: #F8FF13;
    border-color: #F8FF13;
}
.content{
    position: relative;
    flex: 1 1 auto;
    max-width: 1600px;
    margin: 0 auto;
    display: flex;
    height: clamp(661px, 90vh, 1200px);
}
.content > div{
    width: 50%;
    position: relative;
}
.content .text{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
}
/* TEXT AB TESTING */
.text .img-text.text-text{
    font-size: 10rem;
    color: #fff;
    font-weight: 600;
    text-transform: uppercase;
    text-shadow: 3px 1px 4px #D12C5F;
    text-align: center;
}
.text .img-text.text-text .text-xl{
    font-size: 12rem;
}
.text .img-text.text-text .text-sm{
    font-size: 4rem;
}
.text .img-text.text-text .subtitle{
    font-size: 2rem;
}
/* TEXT AB TESTING */
img{
    max-width: 100%;
}
.title-top{
    font-size: 72px;
    padding-right: 40px;
    color: white;
}
.title-bot{
    font-size: 78px;
    color: white;
}
.timer{
    text-align: center;
}
.timer .title {
    font-style: italic;
    font-weight: 400;
    font-size: 32px;
    line-height: 113.5%;
    text-transform: uppercase;
    color: white;
}

.timer .block-time {
    margin: 0 auto;
    display: inline-block;
    border: solid 1px #fff;
    border-radius: 10px;
    padding: 0 10px 10px 10px;
    box-shadow: 0px 1px 20px 9px #7e4bc4;
    background-color: #7e4bc4;
}

.timer .block-time .time {
    font-style: italic;
    font-weight: 400;
    font-size: 50px;
    line-height: 1.2;
    text-transform: uppercase;
    color: white;
    border-bottom: solid 1px #fff;
    display: flex;
    margin: 0 auto;
}

.timer .block-time .text {
    font-style: italic;
    font-weight: 300;
    font-size: 16px;
    line-height: 100%;
    text-transform: uppercase;
    text-align: center;
}

.timer .block-time .time span {
    flex: 1;
    font-weight: 600;
}


.timer .block-time .text span {
    padding: 0 10px;
    font-size: 18px;
    line-height: 30px;
    color: white;
}
.coleso{
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
    overflow: hidden;
}
.coleso-container{
    position: relative;
}
.coleso-container img{
    max-height: 640px;
}
.lamp{
    position: absolute;
    height: 100%;
    width: 19%;
    left: 50%;
    top: 0;
    transform: translateX(-50%);
    transform-origin: center center;
}
.lamp:after, .lamp:before{
    position: absolute;
    content: "";
    left: 0;
    opacity: 0.8;
    display: block;
    width: 100%;
    height: 10%;
    background-image: url("./img/lamp.gif");
    background-repeat: no-repeat;
    background-position: center center;
    z-index: 5;
    background-size: contain;
}
.circle{
    position: relative;
    transform-origin: center center;
}
.lamp:nth-child(2):before{
    bottom: -1%;
    left: 1%;
}
.lamp:nth-child(3):before{
    bottom: -0.8%;
}
.lamp:after{
    top: -0.85%;
}
.lamp:before{
    bottom: -1.1%;
}
.lamp:nth-child(3){
    transform: translateX(-50%) rotate(30deg);
}
.lamp:nth-child(4){
    transform: translateX(-50%) rotate(60deg);
}
.lamp:nth-child(5){
    transform: translateX(-50%) rotate(90deg);
}
.lamp:nth-child(6){
    transform: translateX(-50%) rotate(120deg);
}
.lamp:nth-child(7){
    transform: translateX(-50%) rotate(150deg);
}
.center{
    text-align: center;
}
.arrow{
    position: absolute;
    top: -1.1%;
    left: 50%;
    transform: translateX(-51%);
    width: 20%;
    height: 20%;
    background-image: url("./img/koleso_arrow.png");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}
.button-coleso{
    animation: myAnim 1s ease 0s infinite alternate backwards;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9;
    width: 25%;
    height: 25%;
    background-image: url("./img/koleso_button_ro.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border-radius: 50%;
    cursor: pointer;
}
#policy{
    max-width: 600px;
    overflow: auto;
    max-height: 90vh;
    margin: 0!important;
}

#modal_confirm {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.75);
    z-index: 999;
    display: flex;
    justify-content: center;
    align-items: center;
}
#modal_confirm .modal_background {
    background: linear-gradient(105.37deg, rgba(48, 48, 48, 0.6) 2.85%, rgba(0, 0, 0, 0.6) 100%);
    border: 3px solid #1ece01;
    box-shadow: 0px 10px 19px rgb(0 0 0 / 25%);
    backdrop-filter: blur(63px);
    border-radius: 20px;
    height: auto;
    min-height: 25vw;
    width: 50vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.close {
    position: absolute;
    top: 2vh;
    right: 2vh;
    height: 2.87vh;
    cursor: pointer;
}
#modal_confirm .modal_background .close img {
    width: 2vw;
}
#modal_confirm .modal_background .image {
    margin-top: 1vw;
}
#modal_confirm .modal_background .image img {
    width: 5vw;
}

#modal_confirm .modal_background .congratulations {
    margin-top: 1vw;
    color: white;
    font-size: 42px;
}

#modal_confirm .modal_background .congratulations img {
    width: 15vw;
}
#modal_confirm .modal_background .bonus {
    text-align: center;
    font-size: 42px;
    padding: 0 30px;
    color: white;
}
#modal_confirm .modal_background .bonus span{
    color: #ff4d70;
}
#modal_confirm .modal_background .get-bonus {
    margin-top: 1vw;
}
.bonus__btn {
    display: -webkit-box;
    display: -ms-flexbox;
    display: inline-flex;
    margin: 0 auto;
    padding: 7px 100px 10px;
    -webkit-transform: skewX(-15deg);
    -ms-transform: skewX(-15deg);
    transform: skewX(-15deg);
    background-color: #1ece01;
    color: #FFF;
    text-shadow: none;
    border: 0.2vh solid #1ece01;
    margin-bottom: 1vh;
    font-size: 1.8vw;
}
.btn-main__text {
    -webkit-transform: skewX(15deg);
    -ms-transform: skewX(15deg);
    transform: skewX(15deg);
}

.rules a {
    color: #fff;
    text-decoration: underline;
    font-weight: 300;
    /* margin-right: 21vh; */
}
.img-text{
    width: 100%;
    margin-bottom: 30px;
}
.img-text img{
    margin: 0 auto;
    max-width: 620px;
    width: 100%;
    display: block;
}
.bonus-form{
    max-width: 70%;
    margin-bottom: 30px;
}
.bonus-form div input{
    height: 48px;
    border: 1px solid white;
    background-color: transparent;
    color: white;
    width: 300px;
    max-width: 100%;
    text-align: center;
    font-size: 24px;
    display: block;
    border-radius: 3px;
    margin: 20px auto;
}
#df{
    display: none;
}
form label{
    color: white;
}
.checkbox-block{
    display: flex;
    width: 300px;
    margin: 0 auto 20px;
}
.checkbox{
    width: 30px;
    height: 30px;
    display: block;
    margin-right: 20px;
    border: 2px solid #F8FF13;
    position: relative;
    cursor: pointer;
}
#df:checked + .checkbox:before{
    content: "";
    position: absolute;
    width: 16px;
    height: 16px;
    background-color: #F8FF13;
    top: 5px;
    left: 5px;
}
@media (max-width: 990px) {
    .content{
        flex-direction: column;
        align-items: center;
        height: auto;
        padding: 10px 20px;
    }
    .content > .text{
        margin-bottom: 40px;
    }
    .content > div{
        width: 90%;
    }
    .coleso{
        max-width: 550px;
    }
    .img-text img{
        max-width: 550px;
        width: 100%;
    }
    #modal_confirm .modal_background{
        width: 100%;
        max-width: 550px;
    }
    #modal_confirm{
        padding: 0 15px;
    }
    #modal_confirm .modal_background .congratulations img{
        width: 200px;
    }
    #modal_confirm .modal_background .image img{
        width: 60px;
    }
    .close{
        height: 20px;
    }
    #modal_confirm .modal_background .close img{
        width: 20px;
    }
    .bonus__btn{
        font-size: 20px;
        max-width: 100%;
        padding: 5px 0 10px;
        width: 400px;
        text-align: center;
        justify-content: center;
    }
}
@media (max-width: 850px) {
    main{
        background-image: url("./img/bg_mobile.jpg");
        background-position: center center;
    }
    header .logo img{
        max-height: 30px;
    }
    .img-text{
        margin-bottom: 20px;
    }
}

@keyframes myAnim {
    0% {
        transform: translate(-50%, -50%) ;
    }

    10% {
        transform: translate(-49.5%, -49.5%);
    }

    20% {
        transform: translate(-50.5%, -49.5%);
    }

    30% {
        transform: translate(-49.5%, -50.5%);
    }

    40% {
        transform: translate(-50.5%, -50.5%);
    }

    50% {
        transform: translate(-49.5%, -49.5%);
    }

    60% {
        transform: translate(-50.5%, -49.5%);
    }

    70% {
        transform:translate(-49.5%, -50.5%);
    }

    80% {
        transform: translate(-50.5%, -50.5%);
    }

    90% {
        transform: translate(-49.5%, -49.5%);
    }

    100% {
        transform: translate(-50%, -50%);
    }
}